import { type Facade } from '../../facade/facade.js';
import { type TssSchema } from '../../../../data/schema/model/solo/tss-schema.js';
import { Wraps } from './wraps.js';
export declare class Tss implements Facade<TssSchema> {
    readonly encapsulatedObject: TssSchema;
    private readonly _wraps;
    constructor(encapsulatedObject: TssSchema);
    get messageSizeSoftLimitBytes(): number;
    get messageSizeHardLimitBytes(): number;
    get timeoutAfterReadySeconds(): number;
    get readyMaxAttempts(): number;
    get readyBackoffSeconds(): number;
    get wraps(): Wraps;
}
